/*
 *$Id$
 */
   
	function expandAndCollapse(link, domainName, modelName, showContainersOnly, privileged) 
	{
		var isIE = false;
		var req;
		var url ='Tree.do?methodToCall=expandNodes&nodeClicked='+encodeURIComponent(link);
		if(domainName) url += '&domainName=' + domainName;
		if(modelName) url += '&modelName=' + modelName;
		if(showContainersOnly) url += '&showContainersOnly=' + showContainersOnly;
		var anchorimg = document.getElementById(link+'_ancimg').src;
		var childtable = document.getElementById(link+'ChildTable');
		if(anchorimg.match('/images/trplus.png'))
		{
			if(childtable == null )
			{
				if (window.ActiveXObject) 
				{
				isIE = true;
					req = new ActiveXObject("Microsoft.XMLHTTP");
					if (req)
					{
						req.open("GET", url, true);
						req.send();

						var loadImage = document.getElementById(link+'_loading');
						if( loadImage == null )
						{
							var tabledata = document.getElementById(link);
							var span = document.createElement('span');
							span.innerHTML = '&nbsp;';
							tabledata.appendChild(span);
							var loadingImg = document.createElement('img');
							loadingImg.id = link+'_loading';
							loadingImg.src = "/images/s_progressbar.gif";
							tabledata.appendChild(loadingImg);
							var loadingspan = document.createElement('span');
							loadingspan.id = link+'_loadspan';
							loadingspan.className = "blacktxt";
							loadingspan.innerHTML = "Loading...";
							tabledata.appendChild(loadingspan);
						}
	
						req.onreadystatechange = function(){
							if (req.readyState == 4) 
							{
								if (req.status == 200) 
									buildTree(req,link,isIE,domainName, privileged);
								else 
									alert("There was a problem retrieving the XML data:\n" +req.statusText);
							}
						};
					}
				} 
				else if (window.XMLHttpRequest)
				{
					req = new XMLHttpRequest();
					req.open("GET", url, true);
					req.send(null);

					var loadImage = document.getElementById(link+'_loading');
					if( loadImage == null )
					{
						var tabledata = document.getElementById(link);
						var span = document.createElement('span');
						span.innerHTML = '&nbsp;';
						tabledata.appendChild(span);
						var loadingImg = document.createElement('img');
						loadingImg.id = link+'_loading';
						loadingImg.src = "/images/s_progressbar.gif";
						tabledata.appendChild(loadingImg);
						var loadingspan = document.createElement('span');
						loadingspan.id = link+'_loadspan';
						loadingspan.className = "blacktxt";
						loadingspan.innerHTML = "Loading...";
						tabledata.appendChild(loadingspan);
					}

					req.onreadystatechange = function(){
						if (req.readyState == 4) 
						{
							if (req.status == 200)
								buildTree(req,link,isIE,domainName, privileged);
							else 
								alert("There was a problem retrieving the XML data:\n" +req.statusText);
						}
					};
				}
			}
			else
			{
				createCookie(document.getElementById(link+'ChildTable'),'show',30);
				eval("document.getElementById(link+'ChildTable').style.display='block';");
				if(anchorimg.match('/images/trplus.png'))
					document.getElementById(link+'_ancimg').src = "/images/trminus.png";
			}
		}
		else if(anchorimg.match('/images/trminus.png'))
		{
			collapse(link,anchorimg);
		}
	}

function collapse(link,image)
{
	var temp = document.getElementById(link+'ChildTable');
	if(temp!=null)
	{
		createCookie(document.getElementById(link+'ChildTable'),'hide',30);
		eval("document.getElementById(link+'ChildTable').style.display='none';");
		if(image.match('/images/trminus.png'))
			document.getElementById(link+'_ancimg').src = "/images/trplus.png";
	}
	else
	{
		if(image.match('/images/trminus.png'))
			document.getElementById(link+'_ancimg').src = "/images/trplus.png";
	}
}

function buildTree(req,link,isIE,domainName, privileged)
{
	var x = req.responseXML.getElementsByTagName('parent');
	var parentNode = x[0].getAttribute("NodeId");
	var parentTable = document.getElementById(parentNode);
	var y = req.responseXML.getElementsByTagName('child');
	var z = req.responseXML.getElementsByTagName('count');
	var count =z[0].getAttribute("value");
	if(y.length!=0)
	{
		//alert("Creating Child Table");
		var childTable = document.createElement('table');
		childTable.id = parentNode+'ChildTable';
		//alert(childTable.id);
		childTable.width = "100%";
		childTable.cellSpacing = 0;
		childTable.cellPadding = 0;
		childTable.border = 0;
		childTable.align = "left";
		var rowCount = 0;
		for(var i=0;i < y.length;i++){
			var imageIcon = y[i].getAttribute("imageIcon");
			if(!(imageIcon.match('images/user_ad.gif') 
					||imageIcon.match('images/group_ad.gif') 
					||imageIcon.match('images/computer_ad.gif')
					|| imageIcon.match('images/contact_ad.gif')
					|| imageIcon.match('images/publicfolder_ad.gif')
					|| imageIcon.match('images/foreign_policy_ad.gif'))){
						//alert("Creating rows in Childtable");
						var tr = childTable.insertRow(rowCount);
						var td = document.createElement('td');
						td.id= y[i].getAttribute("NodeId");
						td.height = 20;
						td.style.whiteSpace = 'nowrap';
						td.className = "blacktxt";
						var transimg = document.createElement('img');
						transimg.src = "/images/trans.gif";
						transimg.align = "absmiddle";
						transimg.border = 0;
						transimg.height = 20;
						transimg.width = 20;
						td.appendChild(transimg);
						if(count==1){
							//alert("only one tvline image");
							var trvline = document.createElement('img');
							trvline.src = "/images/trans.gif";
							trvline.align = "absmiddle";
							trvline.border = 0;
							trvline.height = 20;
							trvline.width = 20;
							td.appendChild(trvline);
						} else {
							for(var m=0;m<count;m++){
								//alert("adding more tvline images");
								var trvline = document.createElement('img');
								trvline.src = "/images/trans.gif";
								trvline.align = "absmiddle";
								trvline.border = 0;
								trvline.height = 20;
								trvline.width = 20;
								td.appendChild(trvline);
							}
						}
						var anchor = document.createElement('a');
						anchor.id =y[i].getAttribute("NodeId")+'_anchor';
						anchor.href = 'javascript:expandAndCollapse(\''+y[i].getAttribute("scriptEscapedNodeId")+'\',\''+domainName+'\',\'TreeModel\',true,true)';
						var anchorimg = document.createElement('img');
						anchorimg.id = y[i].getAttribute("NodeId")+'_ancimg';
						anchorimg.src = "/images/trplus.png";
						anchorimg.align ="absmiddle";
						anchorimg.alt ="Expand/Collapse Item";
						anchorimg.border = 0;
						anchorimg.height = 20;
						anchorimg.width = 20;
						anchor.appendChild(anchorimg)
						td.appendChild(anchor);
						var chbox;
				        if(!isIE){
							chbox = document.createElement('input');
							chbox.type = "radio";
							chbox.name = "container";
							if(!privileged) chbox.disabled = "true";
							chbox.value = y[i].getAttribute("NodeId");
							chbox.id = y[i].getAttribute("NodeId") + "_radio";
							chbox.onclick = function(){
								var str = document.getElementsByName('container');
								var contValue;
								for(var i=0; i<eval(str).length; i++){
									if(str[i].checked){
										contValue = str[i].value;
										if(window.parent.document.getElementById('container').value != contValue)
										{
											window.parent.setValues(contValue);
											break;
										}
									}
								}
								var imageIconId = contValue+'_imageIcon';
								var imageSrc = document.getElementById(imageIconId).src;
								if(imageSrc.match('images/ou_ad.gif')||imageSrc.match('images/domain_ad.gif')) {
									parent.document.getElementById('new_cont_td').style.display='block';
									parent.document.getElementById('new_cont_disabled_td').style.display='none';
								} else {
									parent.document.getElementById('new_cont_disabled_td').style.display='block';
									parent.document.getElementById('new_cont_td').style.display='none';
								}	
							}
			            } else {
							var str = "<INPUT TYPE='RADIO' NAME='container' ONCLICK='javascript:setParentValues()' VALUE=\"" + y[i].getAttribute("htmlEscapedNodeId") + "\" ID='" + y[i].getAttribute("NodeId") + "_radio'";
							if(privileged)
							{
								str += ">";
							}
							else
							{
								str += " disabled>"
							}
							chbox = document.createElement(str);
					    }
						td.appendChild(chbox);
						var docimg = document.createElement('img');
						docimg.src = imageIcon;
						docimg.id = y[i].getAttribute("NodeId")+'_imageIcon';
						docimg.align = "absmiddle";
						docimg.border = 0;
						td.appendChild(docimg);
						var span = document.createElement('span');
						span.id = y[i].getAttribute("NodeId")+'_span';
						span.innerHTML = y[i].getAttribute("htmlEscapedDisplayName");
						span.className = "blacktxt";
						td.appendChild(span);
						tr.appendChild(td);
						rowCount++;
			} 
		}
		var ancimg = document.getElementById(parentNode+'_ancimg').src;
		if(ancimg.match('/images/trplus.png'))
		{
			if(rowCount == 0)
			{
				document.getElementById(parentNode+'_ancimg').src="/images/trans.gif";
			}
			else
			{
				document.getElementById(parentNode+'_ancimg').src="/images/trminus.png";
			}
		}
		//alert(childTable);
		parentTable.appendChild(childTable);
		document.getElementById(link+'_loading').src ="/images/trans.gif";
		document.getElementById(link+'_loadspan').innerHTML ="";
		//alert("Successfully updated");
	}
	else
	{
		document.getElementById(parentNode+'_anchor');
		var imgsrc = document.getElementById(parentNode+'_ancimg').src;
		if(imgsrc.match('/images/trplus.png'))
			document.getElementById(parentNode+'_ancimg').src="/images/trans.gif";
		document.getElementById(link+'_loading').src ="/images/trans.gif";
		document.getElementById(link+'_loadspan').innerHTML ="";
	}
}

function createCookie(name, value, days)
{
	//alert("Entering Create Cookies");
	if (days) {
    var date = new Date();
    date.setTime(date.getTime()+(days*24*60*60*1000));
    var expires = "; expires="+date.toGMTString();
    }
  else var expires = "";
  document.cookie = name+"="+value+expires+"; path=/";
}

function addAdos()
{
	var len = document.adobjects.adocheckbox.length;
	//alert(len);
	var str = "";
	var select = false;
	for(var i=0;i<len;i++)	
	{
		if(document.adobjects.adocheckbox[i].checked)
		{
			if(!document.adobjects.adocheckbox[i].disabled)
			{
				select = true;
				var objValue = document.adobjects.adocheckbox[i].value;
				//alert(objValue);
				
				if(str != "") str += ";;";
					str+=objValue;
				//document.adobjects.adocheckbox[i].disabled=true;
				document.adobjects.adocheckbox[i].checked=false;
			}
		}
	}
	//alert("str " +str);
	if(!select)
		alert("Select an  AD Object");
	else
	{
		document.addAdobjects.addADOList.value=str;
		//alert(str);
		document.addAdobjects.submit();
	}
}
