#$Id: restoreDB.sh,v 1.1 2006/09/05 13:11:12 saranbabu Exp $
#!/bin/sh
. ./setCommonEnv.sh

usage()
{
    echo ""
    echo "Usage: sh restoreDB.sh 'backUp Zip File' "
    echo ""
}

if [ $# -ne 0 ]; then
	RESTORE_FILE=$1
else
	usage
	exit 1
fi

CLASS_PATH=$SERVER_HOME/lib/AdvPersistence.jar:$SERVER_HOME/lib/mysql_connector.jar:$SERVER_HOME/bin/run.jar:$SERVER_HOME/lib/jboss-j2ee.jar:$SERVER_HOME/lib/jboss-jca.jar:$SERVER_HOME/lib/jboss-compressed.jar:$SERVER_HOME/lib/concurrent.jar:$SERVER_HOME/lib/jboss-common-jdbc-wrapper.jar:$SERVER_HOME/lib/jboss-transaction.jar:$SERVER_HOME/lib/tomcat/commons-logging-api.jar


$JAVA -Dserver.home=$SERVER_HOME -Ddb.home=$DB_HOME -cp $CLASS_PATH com.adventnet.mfw.RestoreDB $RESTORE_FILE

