// $Id : $

var TREE_NODES = [
	['Welcome to ADManager Plus', "introduction/introduction.html", "MAIN",				
		['Release Notes',"introduction/release_notes.html", "MAIN",
		],
		['Contacting AdventNet',"introduction/contact_customer_support.html", "MAIN",
		]				
	],
	['Technology Overview',"technology/technology_overview.html", "MAIN",
		['Active Directory Overview', "technology/windows_active_directory_structure.html", "MAIN",
		],
		['Active Directory Terminologies', "technology/active_directory_terminologies.html", "MAIN",		
		]
	],
	['Getting Started', "getting_started/getting_started.html", "MAIN",
		['System Requirements', "getting_started/system_requirements.html", "MAIN",
		],
		['Installing ADManager Plus', "getting_started/installing_admanager_plus.html", "MAIN",			
		],
		['Working with ADManager Plus', "getting_started/starting_admanager_plus.html", "MAIN",			
		],
		['Installing Service Packs', "getting_started/installing_service_packs.html", "MAIN",
		],
		['Uninstalling Service Packs', "getting_started/uninstalling_service_packs.html", "MAIN",			
		],
		['Licensing ADManager Plus', "getting_started/licensing_admanager_plus.html", "MAIN",			
		]		
	],
	['Help Desk Delegation',"help-desk-delegation/active-directory-help-desk-delegation.html", "MAIN",
	],	
	['Configuring Domains',"introduction/connecting_to_a_domain.html", "MAIN",
	],
	['Personalizing the Client',"introduction/personalizing_the_client.html", "MAIN",
	],
	['CSV Import', "csv-import-management/active-directory-csv-import.html", "MAIN",
	 	['Create Users using CSV', "csv-import-management/active-directory-user-creation-csv.html", "MAIN",
		],
		['Modify Users using CSV', "csv-import-management/active-directory-modify-users-csv.html", "MAIN",
		],
		['Create Contacts using CSV', "csv-import-management/active-directory-create-contacts-csv.html", "MAIN",
		],
		['Create Groups using CSV', "csv-import-management/active-directory-create-groups.html", "MAIN",
		],
		['Modify Groups using CSV', "csv-import-management/active-directory-modify-groups.html", "MAIN",
		],
	],
	['Active Directory Management', "user_management/active-directory-management.html", "MAIN",
		['Active Directory User Management', "user_management/windows-users-management.html", "MAIN",
			['Create Users', "user_management/active-directory-create-users.html", "MAIN",
				['Creating a Single User', "user_management/creating_a_windows_user.html", "MAIN",
				],
				['Creating Bulk Users', "user_management/creating_multiple_windows_users.html", "MAIN",
				],
				['Users Creation Using CSV', "csv-import-management/active-directory-create-user-csv.html", "MAIN",
				],
				['Additional Attributes', "user_management/active-directory-additional-attributes.html", "MAIN",
				],
			],
			['Modify Users', "user_management/active-directory-modify-users.html", "MAIN",
			 	['Modify Users Using CSV', 'csv-import-management/active-directory-users-modification-csv.html', 'MAIN'
				],
				['Modify Single User', 'user_management/active-directory-modify-single-user.html', 'MAIN'
				],
				['Bulk User Modifications', 'csv-import-management/active-directory-bulk-users-modification.html', 'MAIN',
				 	['Modifying General User Attributes', "user_management/general_attributes/modifying_active_directory_user_attributes.html", "MAIN",
						['Resetting Password', "user_management/general_attributes/reset_password_windows_users.html", "MAIN",
						],
						['Modifying Naming Attributes', "user_management/general_attributes/modifying_naming_attributes.html", "MAIN",
						],
						['Modifying Security Attributes', "user_management/general_attributes/modifying_windows_user_security_attributes.html", "MAIN",
						],		
						['Modifying Organization Attributes', "user_management/general_attributes/modifying_windows_users_organization_attributes.html", "MAIN",
						],
						['Modifying Profile Attributes', "user_management/general_attributes/modify_windows_user_profiles.html",  "MAIN",
						],
						['Modifying Contact Attributes', "user_management/general_attributes/active-directory-contact-attributes.html", "MAIN",
						],
						['Modifying Group Attributes', "user_management/general_attributes/modify_windows_user_group_attributes.html", "MAIN",
						],
						['Move Users to a Different Container', "user_management/general_attributes/move_windows_users_to_different_container.html", "MAIN",				
						],
						['Modifying Logon Workstation', "user_management/general_attributes/active-directory-logon-workstation.html", "MAIN",
						],
						['Modify Inheritable Permissions', "user_management/general_attributes/active-directory-inheritable-permissions.html", "MAIN",				
						],
			            ['Move Homefolders to a Different server', "user_management/general_attributes/active-directory-move-homefolders.html", "MAIN",				
						],
						['Modifying Custom Attributes', "user_management/general_attributes/active-directory-custom-attributes.html", "MAIN",				
						],
						['Delete Users', "user_management/general_attributes/active-directory-delete-users.html", "MAIN",				
						]
					],
					['Modifying Terminal Services', "user_management/terminal_services/modifying_active_directory_terminal_services_attributes.html", "MAIN",
						['Modifying User Profiles', "user_management/terminal_services/modify_terminal_service_user_profiles.html", "MAIN",
						],
						['Modifying Environmental Variables', "user_management/terminal_services/modify_terminal_services_environment_variables.html", "MAIN",
						],
						['Modifying Session Attributes', "user_management/terminal_services/modify_terminal_services_session_attributes.html", "MAIN",
						],		
						['Modifying Remote Control Attributes', "user_management/terminal_services/modify_remote_control_attributes.html", "MAIN",
						]		
					]
				]
			],
			['Creating User Templates', "user_management/creating_user_templates.html", "MAIN",
			],
			['Searching Users, Groups, and Computers', "user_management/searching_active_directory_users_groups_computers.html", "MAIN",
			]
		],
			['Active Directory Computer Management', "user_management/bulk-computer-modification/active-directory-computers-management.html", "MAIN",
			 	['Enable / Disable Computers','user_management/bulk-computer-modification/active-directory-enable-disable-computers.html', 'MAIN',
				],
				['Computer General','user_management/bulk-computer-modification/active-directory-general-computer-attributes.html', 'MAIN',
				],
				['Modify Computer Groups','user_management/bulk-computer-modification/active-directory-group-computer-attributes.html', 'MAIN',
				],
				['Move Computers','user_management/bulk-computer-modification/active-directory-move-computers.html', 'MAIN',
				]
			],
			['Active Directory Group Management', "user_management/active-directory-groups-management.html", "MAIN",
				['Create Groups', 'csv-import-management/active-directory-create-groups-csv.html', 'MAIN',
				],
				['Modify Groups', 'csv-import-management/active-directory-modify-groups-csv.html', 'MAIN',
				]
			],
			['Active Directory Contact Management', "user_management/active-directory-contacts-management.html", "MAIN",
				['Create Contacts', 'csv-import-management/active-directory-contacts-creation-csv.html', 'MAIN',
				]
			],
			['Active Directory Exchange Management', "user_management/exchange_attributes/modifying_exchange_server_attributes.html", "MAIN",
				['Modifying Delivery Restrictions', "user_management/exchange_attributes/modify_exchange_server_delivery_restrictions.html", "MAIN",
				],
				['Modifying Delivery Options', "user_management/exchange_attributes/modify_exchange_server_delivery_options.html", "MAIN",
				],
				['Modifying Storage Limits', "user_management/exchange_attributes/modify_exchange_server_storage_limits.html", "MAIN",
				],		
				['Modifying Naming Attributes', "user_management/exchange_attributes/modify_exchange_server_naming_attributes.html", "MAIN",
				],
				['Modifying Exchange Features', "user_management/exchange_attributes/modify_exchange_server_features.html",  "MAIN",
				],
				['Creating Mailbox to Users', "user_management/exchange_attributes/create_mail_box_in_exchange_server.html", "MAIN",
				],
				['Modify exchange off-line address book', "user_management/exchange_attributes/active-directory-offline-address-book.html", "MAIN",
				]
		],
	],
	['Active Directory Reports', "reports/viewing-windows-active-directory-reports.html", "MAIN",
		['Active Directory User Reports', "reports/viewing-active-directory-user-reports.html", "MAIN",
		],
            ['Active Directory Password Reports', "reports/active-directory-password-reports.html", "MAIN",
		],
		['Active Directory Group Reports', "reports/viewing-active-directory-group-reports.html", "MAIN",
		],
		['Active Directory Computer Reports', "reports/viewing-active-directory-computer-reports.html", "MAIN",
		],		
		['Active Directory Exchange Reports', "reports/viewing-active-directory-exchange-reports.html", "MAIN",
		],		
		['Active Directory GPO Reports', "reports/viewing-active-directory-gpo-reports.html", "MAIN",
		],
	      ['Active Directory OU Reports', "reports/viewing-active-directory-org-unit-reports.html", "MAIN",
		],
            ['Active Directory NTFS Reports', "reports/active-directory-ntfs-reports.html", "MAIN",
		],
            ['Active Directory Other Reports', "reports/active-directory-other-reports.html", "MAIN",
		],
	],
	['Active Directory Self Service Portal', "user-self-service/active-directory-self-service-portal.html", "MAIN",
	],
      ['Active Directory portable people search', "user-self-service/active-directory-people-search.html", "MAIN",
	],
	['Active Directory Delegation', "managing_security_roles/managing_security_roles.html", "MAIN",
		['Creating Security Roles', "managing_security_roles/creating_security_roles.html", "MAIN",
		],
		['Viewing Security Roles', "managing_security_roles/viewing_security_roles.html", "MAIN",
		],		
		['Modifying Security Roles', "managing_security_roles/modifying_security_roles.html", "MAIN",
		],
		['Applying Security Roles', "managing_security_roles/applying_security_roles.html", "MAIN",
		],
		['Built-in Security Roles', "managing_security_roles/pre-defined_security_roles.html", "MAIN",
		]
	],
	['Admin Settings', 'admin-settings/active-directory-admin-settings.html', 'MAIN',
	 	['Customize Naming Formats', 'admin-settings/active-directory-cutomize-naming-format.html', 'MAIN',
		],
		['Customize Password Settings', 'admin-settings/active-directory-customize-password.html', 'MAIN',
		],
		['Customize LDAP Attributes', 'admin-settings/active-directory-customize-ldap.html', 'MAIN',
		],
		['AD Search Settings', 'admin-settings/active-directory-ad-search-settings.html', 'MAIN',
		],
		['Connection Settings', 'admin-settings/active-directory-connection-settings.html', 'MAIN',
		],
		['Server Settings', 'admin-settings/active-directory-server-settings.html', 'MAIN',
		],
		['Personalize Settings', 'admin-settings/active-directory-personalize-settings.html', 'MAIN',
		],
		['Service Desk Settings', 'admin-settings/active-directory-service-desk.html', 'MAIN',
		]

	],
	['Searching Security Permissions', "introduction/searching_security_permissions.html",  "MAIN",
	],
	['Active Directory Explorer', "introduction/exploring_active_directory_services.html", "MAIN",
	],
	['Troubleshooting Tips', "misc/troubleshooting_tips.html",  "MAIN",
	],
	['FAQ', "misc/active_directory_manager_faq.html", "MAIN",
	],
	['Known Issues and Limitations', "misc/known_issues.html",  "MAIN",		
	],
];
