//$Id: UserAttributeDetails.js,v 1.36.8.35 2007/06/08 10:03:29 nrajesh Exp $

/*
	Functions for Tab starts here
*/

divElements = new Array(6);
divElements[0] = "UserProfile";
divElements[1] = "AccountDetails";
divElements[2] = "ContactDetails";
divElements[3] = "ExchangeDetails";
divElements[4] = "TerminalServices";
divElements[5] = "CustomAttributes";
tabElements = new Array(6);
tabElements[0] = "UserProfileTab";
tabElements[1] = "AccountDetailsTab";
tabElements[2] = "ContactDetailsTab";
tabElements[3] = "ExchangeDetailsTab";
tabElements[4] = "TerminalServicesTab";
tabElements[5] = "CustomAttributesTab";
anchorElements = new Array(6);
anchorElements[0] = "UserProfileAnchor";
anchorElements[1] = "AccountDetailsAnchor";
anchorElements[2] = "ContactDetailsAnchor";
anchorElements[3] = "ExchangeDetailsAnchor";
anchorElements[4] = "TerminalServicesAnchor";
anchorElements[5] = "CustomAttributesAnchor";
tabSelectedStyle = new Array(6);
tabSelectedStyle[0] = "leftselectedtab";
tabSelectedStyle[1] = "selectedtab";
tabSelectedStyle[2] = "selectedtab";	
tabSelectedStyle[3] = "selectedtab";
tabSelectedStyle[4] = "selectedtab";
tabSelectedStyle[5] = "rightselectedtab";
tabDeSelectedStyle = new Array(6);
tabDeSelectedStyle[0] = "leftdeselectedtab";
tabDeSelectedStyle[1] = "deselectedtab";
tabDeSelectedStyle[2] = "deselectedtab";
tabDeSelectedStyle[3] = "deselectedtab";
tabDeSelectedStyle[4] = "deselectedtab";
tabDeSelectedStyle[5] = "rightdeselectedtab";
tabHeight = new Array(6);
tabHeight[0] = "440";
tabHeight[1] = "610";
tabHeight[2] = "530";
tabHeight[3] = "1000";
tabHeight[4] = "550";
tabHeight[5] = "550";
anchorSelectedStyle = "tablinktxt";
anchorDeSelectedStyle = "greentablinktxt";

function showTab(element){
	for(var i=0; i<divElements.length; i++){
		if(divElements[i] != element){
				var hideId = document.getElementById(divElements[i]);
				if(hideId != null)
				{
					hideId.style.display = 'none';
					document.getElementById(tabElements[i]).className=tabDeSelectedStyle[i];
					document.getElementById(anchorElements[i]).className=anchorDeSelectedStyle;
				}	
		}else{
			var showId = document.getElementById(divElements[i]);
			showId.style.display = 'block';
			document.getElementById(tabElements[i]).className=tabSelectedStyle[i];
			document.getElementById(anchorElements[i]).className=anchorSelectedStyle;
			if(eval(parent.document.getElementById('userAttribDetailsFrame'))){
				parent.document.getElementById('userAttribDetailsFrameTd').height = tabHeight[i];
				parent.document.getElementById('userAttribDetailsFrame').height = tabHeight[i];
			}
		}
	}
}


function showHideExchange(id){
	exchangeDivs = new Array(2);
	exchangeDivs[0] = "MailEnable";
	exchangeDivs[1] = "Exchange";
	for(var i=0; i<exchangeDivs.length; i++){
		if(exchangeDivs[i] == id)
			document.getElementById(exchangeDivs[i]).style.display = 'block';
		else
			document.getElementById(exchangeDivs[i]).style.display = 'none';
	}
}

/*
	Functions for Tab ends here
*/

/*
	Functions for Naming Attributes starts here
*/


var namesArray = ["FIRST_NAME", "INITIAL", "LAST_NAME", "LOGON_NAME", 
						"SAM_ACCOUNT_NAME", "MAIL_ALIAS" ];
						
var namesArray2 = ["FULL_NAME", "DISPLAY_NAME"];
						
var displayArray = ["First Name", "Middle Name", "Last Name", "Logon Name", 
						"Logon Name(Pre-windows 2000)", "Mail Alias" ];
						
var displayArray2 = ["Full Name", "Display Name"];

function setFormatValues(varName,varValue,type){
	var isIE = false;
	var req;
	var url = 'UserManagement.do?methodToCall=setFormatValues';
	url = url + '&varName='+varName;
	url = url + '&varValue='+varValue;
	var splchars = isValidName(varValue);
	var disp = "First Name";
	if(varName == 'FIRST_NAME') disp = "First Name";
	else if(varName == 'INITIAL') disp = "Middle Name";
	else if(varName == 'LAST_NAME') disp = "Last Name";
	else if(varName == 'LOGON_NAME') disp = "Logon Name";
	
	if(splchars == false){
		alert("The special characters / \\ [ ]: ; | = + * ? < > @ \" are not allowed.\n Please remove them and try again.");
		document.getElementById(varName).focus();
	} else {
		if(type != 'userModify')
		{
			if (window.ActiveXObject){
				isIE = true;
				req = new ActiveXObject("Microsoft.XMLHTTP");
				if (req){
					req.open("GET", url, true);
					req.send();
					req.onreadystatechange = function(){
						if (req.readyState == 4){
							if (req.status == 200) 
								updateNamingFormats(req,isIE);
							else 
								alert("There was a problem retrieving the XML data:\n" +req.statusText);
						}
					};
				}
			} else if (window.XMLHttpRequest){
				req = new XMLHttpRequest();
				req.open("GET", url, true);
				req.send(null);
				req.onreadystatechange = function(){
					if (req.readyState == 4){
						if (req.status == 200) 
							updateNamingFormats(req,isIE);
						else 
							alert("There was a problem retrieving the XML data:\n" +req.statusText);
					}
				};
			}
		}
	}
}

function updateNamingFormats(req,isIE){
	var x = req.responseXML.getElementsByTagName('attribute');
	for(var i=0; i<x.length; i++){
		var name = x[i].getAttribute("name");
		var value = x[i].getAttribute("value");
		document.getElementById(name).value = value;
	}
}

function namesKeyPressEvent(event, element){
	if(event && (event.keyCode== 13 || event.which == 13))
	{
		if(!document.getElementById(element).disabled)
			document.getElementById(element).focus();
		return false;
	}	
}

function logonNameKeyPressedEvent(event)
{
	if(event && (event.keyCode== 13 || event.which == 13))	{
		return false;
	}
}

/*
	Functions for Naming Attributes ends here
*/

/*
	Functions for Format example (used in Only User Template) starts here
*/
function displayFormatExample(formatName){
	var formatSelectArr = document.getElementsByName(formatName);
	var formatSelect = formatSelectArr[0];
	var formatId = formatSelect.options[formatSelect.options.selectedIndex].value;
	if(formatId == 0){
		var logonNameValue = document.getElementById('LOGON_NAME_FORMAT_EXAMPLE').innerHTML;
		if(formatName == "EMAIL_ADDRESS_FORMAT"){
			logonNameValue += "@";
			logonNameValue += document.getElementById('MAIL_SERVER_DOMAIN_NAME').value;
		}
		document.getElementById(formatName+'_EXAMPLE').innerHTML = logonNameValue;
	} else {
		var isIE = false;
		var req;
		var domainSelect = document.getElementById('TEMPLATE_DOMAIN_NAME');
		var domainNameValue = domainSelect.options[domainSelect.options.selectedIndex].value;
		var logonNameSelect = document.getElementById('LOGON_NAME_FORMAT');
		var logonNameFormat =  logonNameSelect.options[logonNameSelect.options.selectedIndex].value;
		var samNameSelect = document.getElementById('SAM_ACCOUNT_NAME_FORMAT');
		var samNameFormat =  samNameSelect.options[samNameSelect.options.selectedIndex].value;	
		var fullNameSelect = document.getElementById('SAM_ACCOUNT_NAME_FORMAT');
		var fullNameFormat =  fullNameSelect.options[fullNameSelect.options.selectedIndex].value;			
		var url ='UserTemplate.do?methodToCall=getFormatExample';
		url +='&formatId='+formatId;
		url +='&domainName='+domainNameValue;
		url +='&param1='+logonNameFormat;
		url +='&param2='+samNameFormat;
		url +='&param3='+fullNameFormat;

		if (window.ActiveXObject){
			isIE = true;
			req = new ActiveXObject("Microsoft.XMLHTTP");
			if (req){
				req.open("GET", url, true);
				req.send();
				req.onreadystatechange = function(){
					if (req.readyState == 4){
						if (req.status == 200) 
							updateFormatExample(req, formatName);
						else 
							alert("There was a problem retrieving the XML data:\n" +req.statusText);
					}
				};
			}
		} else if (window.XMLHttpRequest){
			req = new XMLHttpRequest();
			req.open("GET", url, true);
			req.send(null);
			req.onreadystatechange = function(){
				if (req.readyState == 4){
					if (req.status == 200) 
						updateFormatExample(req, formatName);
					else 
						alert("There was a problem retrieving the XML data:\n" +req.statusText);
				}
			};
		}
	}
}

function updateFormatExample(req, formatName){
	var arr = req.responseXML.getElementsByTagName('format');
	var val = arr[0].getAttribute('formatValue');
	var example = "eg. ";
	example += val;
	if(formatName == "EMAIL_ADDRESS_FORMAT"){
		example += "@";
		example += document.getElementById('MAIL_SERVER_DOMAIN_NAME').value;
	}
	document.getElementById(formatName+'_EXAMPLE').innerHTML=example;
	if(formatName == "LOGON_NAME_FORMAT"){
		updateOtherFormats(example);
	}
}

function updateEmail(){
	var email = document.getElementById('EMAIL_ADDRESS_FORMAT_EXAMPLE').innerHTML;
	var spltStr = email.split("@");
	var msdomainName = document.getElementById('MAIL_SERVER_DOMAIN_NAME').value;
	email = spltStr[0]+"@"+msdomainName;
	document.getElementById('EMAIL_ADDRESS_FORMAT_EXAMPLE').innerHTML = email;
}

function updateUpnExample(){
	document.getElementById('UPN_EXAMPLE').innerHTML = "@"+document.getElementById('UPN_SUFFIX').value;
}

formats = ["SAM_ACCOUNT_NAME_FORMAT", "FULL_NAME_FORMAT", "DISPLAY_NAME_FORMAT",
			"EMAIL_ADDRESS_FORMAT", "MAIL_ALIAS_FORMAT", "SIMPLE_DISPLAY_NAME_FORMAT",
			"ME_MAIL_ALIAS_FORMAT", "TARGET_ADDRESS_FORMAT", "ME_SIMPLE_DISPLAY_NAME_FORMAT"];

function updateOtherFormats(example){
	for(var i=0; i<formats.length; i++){
		var select = document.getElementById(formats[i]);
		var val = select.options[select.options.selectedIndex].value;
		if(val == 0){
			if(formats[i] == 'EMAIL_ADDRESS_FORMAT'){
				var meExample = example + "@" + document.getElementById('MAIL_SERVER_DOMAIN_NAME').value;
				document.getElementById(formats[i]+'_EXAMPLE').innerHTML = meExample;
			} else 
				document.getElementById(formats[i]+'_EXAMPLE').innerHTML = example;
		}
	}
}

/*
	Functions for Format example (used in Only User Template) ends here
*/


function changeContainer(val){
	window.open('SelectContainerPopUp.do?domainName='+val,'SelectContainer','resizable=yes,width=600,height=385,left=240,top=190');
}


/*
	Functions for Security Attributes starts here
*/

//Functions for UserAccountControl
function checkPwdStat(val){
	if(val=='pwdLastSet'){
		if(document.getElementById(val).checked==true ){
			if(document.getElementById('64').checked==true){
				alert('You cannot select both \'User must change password at next logon\' and  \'User cannot change password\' for the same user');
				document.getElementById(val).checked = true;
				document.getElementById('64').checked = false;
			} else if (document.getElementById('65536').checked==true){
				alert('You have selected \'Password never expires\'. The user will not be required to change the password at next login');
				document.getElementById(val).checked = false;
			}				
		} 
	} else if(val==64){
		if(document.getElementById(val).checked==true && document.getElementById('pwdLastSet').checked==true){
			alert('You cannot select both \'User must change password at next logon\' and  \'User cannot change password\' for the same user');
			document.getElementById(val).checked = false;				
		} 
	} else if(val==65536){
		if(document.getElementById(val).checked==true && document.getElementById('pwdLastSet').checked==true){
			alert('You have selected \'Password never expires\'. The user will not be required to change the password at next login');
			document.getElementById('pwdLastSet').checked = false;
		} 
	}
}

function loadBody()
{
	setUserAccountControl();
	document.getElementById('preUserAccountControl').value = document.getElementById('userAccountControl').value;
}

function setUserAccountControl(){
		var arr = document.getElementsByName('checkbox');
		var userAccountControl = 512;
		for(var i=0; i<arr.length; i++){
			val = arr[i].checked;
			if(val){
				userAccountControl+=',';
				userAccountControl+=arr[i].id;
			}
		}
		document.getElementById('userAccountControl').value = userAccountControl;
}

function setUserFlags(){
	var userflagsChk = document.getElementById('64');
	if(userflagsChk.checked) document.getElementById('usrFlgString').value = '64';		
	else document.getElementById('usrFlgString').value = '0';
}
//Functions for password
function showPasswordDiv(){
	document.getElementById('passwordDiv').style.display = "block";
	if(!document.getElementById('enterPassword').disabled)
		document.getElementById('enterPassword').focus();
}

function hidePasswordDiv(){
	if(document.getElementById('passwordDiv').style.display == "block"){
		document.getElementById('passwordDiv').style.display = "none";	
	}
	document.getElementById('enterPassword').value="";
	document.getElementById('confirmPassword').value="";
}

function checkPassword(){
	var pass1 = document.getElementById('enterPassword').value;
	var pass2 = document.getElementById('confirmPassword').value;
	if(pass1 != pass2){
		alert("The passwords do not match");
	}
}

function setPwdLastSet(){
		var arr = document.getElementById('pwdLastSet');	
		if(arr.checked) document.getElementById('passwdLastSet').value = '0';
		else document.getElementById('passwdLastSet').value = '-1';
}

function customizePwd()
{
	var conf = confirm('This will clear the current operation. Do you want to continue ?');
	var loc = location.href;
	if(conf){
		if(loc.match("addorUpdateUserDetails")){
			parent.location.href="CustomPassword.do?selectedTab=admp_admin&selectedTile=customPassword";
		} else {
			location.href="CustomPassword.do?selectedTab=admp_admin&selectedTile=customPassword";
		}
	}
}
//Functions for Home Folder 
function enableLocalDrives(){
	document.getElementById('localHomeDirectory').disabled=false;
	document.getElementById('localHomeDirectory').className="textfield1";
	document.getElementById('HOME_DRIVE').disabled=true;
	document.getElementById('networkHomeDirectory').disabled=true;
	document.getElementById('networkHomeDirectory').className="disabletextfield";					
}
function enableNetworkDrives(){
	document.getElementById('HOME_DRIVE').disabled=false;
	document.getElementById('networkHomeDirectory').disabled=false;				
	document.getElementById('localHomeDirectory').disabled=true;
	document.getElementById('localHomeDirectory').className="disabletextfield";	
	document.getElementById('networkHomeDirectory').className="textfield1";		
}

function checkEmptyFolder(val){
	var folderValue = trimAll(document.getElementById(val).value);
	if(folderValue == "") {
		var radios = document.getElementsByName('homeFolder');
		for(var i=0; i<radios.length;i++){
			if(radios[i].value == 'connect') radios[i].checked= false;
			else if(radios[i].value == 'local') radios[i].checked= true;
		}
		enableLocalDrives();
	}
}
function checkLocalDirFormat(){
	var homeFolder = trimAll(document.getElementById('localHomeDirectory').value);
	if(homeFolder.length < 4 || homeFolder.charAt(1)!=":" || homeFolder.charAt(2)!="\\"){
		if(homeFolder!=""){
			alert("The Specified path is not valid. Enter a valid path using the form :drive-letter:\\directory");
			document.getElementById('localHomeDirectory').focus();
		}
	}
		
}
function checkNetworkDirFormat(){
	var homeFolder = trimAll(document.getElementById('networkHomeDirectory').value);
	var path = "valid";
	if(homeFolder.length<5 || homeFolder.charAt(0)!="\\" || homeFolder.charAt(1)!="\\") path ="notValid";
	else{
		var length = homeFolder.length;
		var substr = homeFolder.substring(2,length);
		var index = substr.indexOf('\\');
		if(index == -1)
			path="notValid";
		else if(index== substr.length-1)	
			path="notValid";
	}	
	if(path=="notValid"){
		if(homeFolder!=""){
			alert("The Specified path is not valid. Enter a valid network server path using the form : \\\\server\\share\\folder");
			document.getElementById('networkHomeDirectory').focus();
		}
	}
}

function setFolderPermissions(domainName, folderType, element){
	trimTextFields();
	var folderPath = "";
	if(element != 'mailBoxRights'){
		folderPath = document.getElementById(element).value;	
		if(folderPath == ""){
			var alertElement = "";
			if(element == "networkHomeDirectory") {
				alertElement = "Home Directory";
				var rad = document.getElementsByName('homeFolder');
				for(var i=0; i<rad.length; i++){
					if(rad[i].value == 'connect')
						rad[i].checked = true;
				}
				enableNetworkDrives();
			}
			else if(element == "networkTsHomeDirectory") {
				alertElement = "Terminal Services Home Directory";
				var rad = document.getElementsByName('TS_REMOTE_HOME_DIRECTORY');
				for(var i=0; i<rad.length; i++){
					if(rad[i].value == 1)
						rad[i].checked = true;
				}
				enableTerminalNetworkDrives();
			}
			else if(element == "PROFILE_PATH") alertElement = "Profile Path";
			else if(element == "TS_PROFILE_PATH") alertElement = "Terminal Services Profile Path";
			alert('Please enter an value for '+alertElement);
			document.getElementById(element).focus();
			return;
		}
	}
	var url = '/SetFolderPermissions.do?domainName='+domainName;
	url +='&folderType='+folderType;
	if(isValidFolderName(folderPath)){
		url +='&folderPath='+escape(folderPath);
		window.open(url, 'FolderACL','resizable=yes, scrollbars=no, width=880,height=610,left=100,top=40');
	} else {
		alert("The characters /:|*?<>\"' are not allowed");
		document.getElementById(element).focus();
	}
}

function setHomeDirACL(domainName){
	window.open('/SetHomeDirACL.do?domainName='+domainName,'HomeDirectoryACL','resizable=yes, scrollbars=no, width=600,height=610,left=240,top=40');
}

function setProfileACL(domainName){
	window.open('/SetProfileACL.do?domainName='+domainName,'ProfileACL','resizable=yes, scrollbars=no, width=600,height=610,left=240,top=40');
}

//Functions for Log on To
function checkLogonTo(){
	if(document.getElementById('followingComputers').checked == true){
		if(trimAll(document.getElementById('logonSystems').value) == ''){
			alert('Logon to Computers is left empty');
			if(document.getElementById('AccountDetails').style.display == 'none') showTab('AccountDetails');
			if(!document.getElementById('logonSystems').disabled)
				document.getElementById('logonSystems').focus();
			return false;
		}
	}
}

function enableLogonSystems(){
	document.getElementById('logonSystems').disabled=false;
	document.getElementById('logonSystems').className = 'textfield1';
	if(document.getElementById('AccountDetails').style.display == 'block')
		document.getElementById('logonSystems').focus();
}

function disableLogonSystems(){
	document.getElementById('logonSystems').disabled=true;
	document.getElementById('logonSystems').className = 'disabletextfield';
}

function validateComputers(){
	var comps = document.getElementById('logonSystems').value;
	if(trimAll(comps) != ''){
		var stat = isValidComputerName(comps);
		if(stat == false){
			alert ("The Computer names entered has one or more illegal characters / \\ [ ] : | = + * ? < > \". \nThese are not allowed.\n Please remove them and try again.");
			if(!document.getElementById('logonSystems').disabled)
				document.getElementById('logonSystems').focus();
		}
	}
}

//Functions for Member of
function editGroups(domainName, type){
	var beanName = 'UserBean';
	if(type == 'userModify') beanName = 'CSVUserBean';
	else if(type == 'template') beanName = 'UserTemplateBean';
	window.open('UserManagement.do?methodToCall=editGroups&beanName='+beanName+'&domainName='+domainName,'','resizable=yes,width=573,height=283,left=240,top=190')
}

function changeGroups(val){
	document.getElementById('MemberOf').value = val;
}

function checkEndOf(){
	var val = document.getElementsByName('accountExpiresStatus');
	for(var i=0; i<val.length; i++){
		if(val[i].value='endOf')
			val[i].checked=true;			
	}
}

/*
	Functions for Security Attributes ends here
*/

/*
	Functions for Contact Attributes Starts here
*/
function editManager(domainName){
	window.open('EditManager.do?domainName='+domainName,'','resizable=yes,width=600,height=405,left=240,top=190');
}
function changeManager(dn,display){
	document.getElementById('MANAGER').value = dn;
	document.getElementById('managerText').value = display;
}
function setCountry(){
	var colist = document.getElementById('countryList').options[document.getElementById('countryList').options.selectedIndex].value;
	var cotext = document.getElementById('countryList').options[document.getElementById('countryList').options.selectedIndex].text;
	var cid = document.getElementById('countryList').options[document.getElementById('countryList').options.selectedIndex].id;
	document.getElementById('COUNTRY_CODE').value=colist;
	document.getElementById('COUNTRY').value=cotext;
	document.getElementById('COUNRTY_TWO_DIGIT_CODE').value=cid;
}
/*
	Functions for Contact Attributes ends here
*/
/*
	Functions for Exchange Attributes starts here
*/
function loadMailboxStores(){
	var isIE = false;
	var req;
	var domainSelect = document.getElementById('domainName');
	var domainNameSelect = domainSelect.options[domainSelect.selectedIndex].value;
	var url ='UserManagement.do?methodToCall=getMailBoxStores';
	url +='&domainName='+domainNameSelect;
	url +='&mailServer='+document.getElementById('MAIL_SERVER').value;
	if (window.ActiveXObject){
		isIE = true;
		req = new ActiveXObject("Microsoft.XMLHTTP");
		if (req){
			req.open("GET", url, true);
			req.send();
			req.onreadystatechange = function(){
				if (req.readyState == 4){
					if (req.status == 200) 
						load(req);
					else 
						alert("There was a problem retrieving the XML data:\n" +req.statusText);
				}
			};
		}
	} else if (window.XMLHttpRequest){
		req = new XMLHttpRequest();
		req.open("GET", url, true);
		req.send(null);
		req.onreadystatechange = function(){
			if (req.readyState == 4){
				if (req.status == 200) 
					load(req);
				else 
					alert("There was a problem retrieving the XML data:\n" +req.statusText);
			}
		};
	}
}
function loadTemplateMailboxStores(){
	var isIE = false;
	var req;
	var domainSelect = document.getElementById('TEMPLATE_DOMAIN_NAME');
	var domainNameSelect = domainSelect.options[domainSelect.selectedIndex].value;
	var url ='UserTemplate.do?methodToCall=getMailBoxStores';
	url +='&domainName='+domainNameSelect;
	url +='&mailServer='+document.getElementById('MAIL_SERVER').value;
	if (window.ActiveXObject){
		isIE = true;
		req = new ActiveXObject("Microsoft.XMLHTTP");
		if (req){
			req.open("GET", url, true);
			req.send();
			req.onreadystatechange = function(){
				if (req.readyState == 4){
					if (req.status == 200) 
						load(req);
					else 
						alert("There was a problem retrieving the XML data:\n" +req.statusText);
				}
			};
		}
	} else if (window.XMLHttpRequest){
		req = new XMLHttpRequest();
		req.open("GET", url, true);
		req.send(null);
		req.onreadystatechange = function(){
			if (req.readyState == 4){
				if (req.status == 200) 
					load(req);
				else 
					alert("There was a problem retrieving the XML data:\n" +req.statusText);
			}
		};
	}
}



function load(req){
	//alert(req.responseText);
	var storeSelect = document.getElementById('MAIL_BOX_STORE');
	while(storeSelect.options.length>0){
		storeSelect.options[0]=null;
	}
	var x = req.responseXML.getElementsByTagName('Store');
	for(var i=0;i<x.length;i++){
		storeSelect.options[i] = new Option(x[i].getAttribute("name"),x[i].getAttribute("dn"));
	}
}
function enableMaxSubmSize(){
	document.getElementById('OUT_MESSAGE_SIZE').disabled=false;
	document.getElementById('OUT_MESSAGE_SIZE').className='textfield1';
	document.getElementById('maxSubmSize').checked=true;
	document.getElementById('defaultSubmSize').checked=false;
}
function disableMaxSubmSize(){
	document.getElementById('OUT_MESSAGE_SIZE').disabled=true;
	document.getElementById('OUT_MESSAGE_SIZE').className='disabletextfield';
	document.getElementById('maxSubmSize').checked=false;
	document.getElementById('defaultSubmSize').checked=true;
	document.getElementById('OUT_MESSAGE_SIZE').value='';
}
function enableMaxDelivSize(){
	document.getElementById('IN_MESSAGE_SIZE').disabled=false;
	document.getElementById('IN_MESSAGE_SIZE').className='textfield1';
	document.getElementById('maxDelivSize').checked=true;
	document.getElementById('defaultDelivSize').checked=false;
}
function disableMaxDelivSize(){
	document.getElementById('IN_MESSAGE_SIZE').disabled=true;
	document.getElementById('IN_MESSAGE_SIZE').className='disabletextfield';
	document.getElementById('maxDelivSize').checked=false;
	document.getElementById('defaultDelivSize').checked=true;
	document.getElementById('IN_MESSAGE_SIZE').value='';
}
function enableMeMaxDelivSize(){
	document.getElementById('ME_IN_MESSAGE_SIZE').disabled=false;
	document.getElementById('ME_IN_MESSAGE_SIZE').className='textfield1';
	document.getElementById('meMaxDelivSize').checked=true;
	document.getElementById('meDefaultDelivSize').checked=false;
}
function disableMeMaxDelivSize(){
	document.getElementById('ME_IN_MESSAGE_SIZE').disabled=true;
	document.getElementById('ME_IN_MESSAGE_SIZE').className='disabletextfield';
	document.getElementById('meMaxDelivSize').checked=false;
	document.getElementById('meDefaultDelivSize').checked=true;
	document.getElementById('ME_IN_MESSAGE_SIZE').value='';
}
function enableMaxRecipLim(){
	document.getElementById('RECIPIENT_LIMITS').disabled=false;
	document.getElementById('RECIPIENT_LIMITS').className='textfield1';
	document.getElementById('maxRecipLim').checked=true;
	document.getElementById('defaultRecipLim').checked=false;
}
function disableMaxRecipLim(){
	document.getElementById('RECIPIENT_LIMITS').disabled=true;
	document.getElementById('RECIPIENT_LIMITS').className='disabletextfield';
	document.getElementById('maxRecipLim').checked=false;
	document.getElementById('defaultRecipLim').checked=true;
	document.getElementById('RECIPIENT_LIMITS').value='';
}
function toggleStorageLimits(){
	var chk = document.getElementById('USE_DEFAULT_STORAGE').checked;
	if(!chk){
		document.getElementById('WARN_AT').disabled=false;
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').disabled=false;
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').disabled=false;
		document.getElementById('WARN_AT').className="textfield1";
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').className="textfield1";
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').className="textfield1";
	} else {
		document.getElementById('WARN_AT').disabled=true;
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').disabled=true;
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').disabled=true;
		document.getElementById('WARN_AT').className="disabletextfield";
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').className="disabletextfield";
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').className="disabletextfield";
	}
}
function toggleStorage(chk){
	if(chk == 'false'){
		document.getElementById('WARN_AT').disabled=false;
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').disabled=false;
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').disabled=false;
		document.getElementById('WARN_AT').className="textfield1";
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').className="textfield1";
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').className="textfield1";
	} else {
		document.getElementById('WARN_AT').disabled=true;
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').disabled=true;
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').disabled=true;
		document.getElementById('WARN_AT').className="disabletextfield";
		document.getElementById('PROHIBIT_SEND_MESSAGES_AT').className="disabletextfield";
		document.getElementById('PROHIBIT_SEND_REC_MESSAGES_AT').className="disabletextfield";
	}
}
function checkNumber(val){
	var element = document.getElementById(val);
	var value = trimAll(element.value);
	element.value = value;
	if(value == ""){
		if(val == 'OUT_MESSAGE_SIZE')	disableMaxSubmSize();
		else if(val == 'IN_MESSAGE_SIZE')	disableMaxDelivSize();
		else if(val == 'ME_IN_MESSAGE_SIZE')	disableMeMaxDelivSize();
	} else {
		var numStatus = isPositiveInteger(value);
		if(numStatus==false){
			alert("Enter Positive Numerical Values only");
			document.getElementById(val).focus();
		} else {
			if(val == 'RECIPIENT_LIMITS' || val == 'WARN_AT' 
				|| val == 'PROHIBIT_SEND_MESSAGES_AT' || val == 'PROHIBIT_SEND_REC_MESSAGES_AT'
				|| val == 'OUT_MESSAGE_SIZE' || val == 'IN_MESSAGE_SIZE' || val == "ME_IN_MESSAGE_SIZE" ){
				if(value < 0 || value > 2097151){
					alert ('The Value Should be between 0 - 2097151');
				}
			} else if(val == 'keepDelItemsDays'){
				if(value < 0 || value > 24855){
					alert ('The Value Should be between 0 - 24855');
				}
			}
		}
	}
}
function toggleDeletedItems(){
	var chk = document.getElementById('mailStoreDefaults').checked;
	if(chk){
		document.getElementById('noPermanantDelete').disabled = true;
		document.getElementById('keepDelItemsDays').disabled = true;
		document.getElementById('keepDelItemsDays').className = 'disabletextfield';
	} else {
		document.getElementById('noPermanantDelete').disabled = false;
		document.getElementById('keepDelItemsDays').disabled = false;
		document.getElementById('keepDelItemsDays').className = 'textfield1';
	}
}
function disableMsgRes(){
	document.getElementById('addButton').disabled = true;
	document.getElementById('removeButton').disabled = true;
	document.getElementById('mRrecipientsSelect').disabled = true;
}
function enableMsgRes(){
    document.getElementById('addButton').disabled = false;
    document.getElementById('mRrecipientsSelect').disabled = false;
    var size = document.getElementById('mRrecipientsSelect');
    if(size > 0) document.getElementById('removeButton').disabled = false;
    else document.getElementById('removeButton').disabled = true;
}
function disableMeMsgRes(){
	document.getElementById('meAddButton').disabled = true;
	document.getElementById('meRemoveButton').disabled = true;
	document.getElementById('meMRrecipientsSelect').disabled = true;
}
function enableMeMsgRes(){
    document.getElementById('meAddButton').disabled = false;
    document.getElementById('meMRrecipientsSelect').disabled = false;
    var size = document.getElementById('meMRrecipientsSelect');
    if(size > 0) document.getElementById('meRemoveButton').disabled = false;
    else document.getElementById('meRemoveButton').disabled = true;
}
function clearForwardTo(){
	document.getElementById('FORWARD_TO').value = "";
	document.getElementById('forwardToText').value = "";
	document.getElementById('DELIVER_AND_REDIRECT').disabled = true;
	document.getElementById('DELIVER_AND_REDIRECT').checked = false;
	document.getElementById('modifyButton').disabled = false;
}
function setForwardTo(dn, name){
	document.getElementById('FORWARD_TO').value = dn;
	document.getElementById('forwardToText').value = name;
	document.getElementById('forwardTo').checked = true;
	document.getElementById('DELIVER_AND_REDIRECT').disabled = false;
}
function editMsgRestrictList(domainName, id){
	url = "mailBoxObjects.do?domainName="+domainName+"&textField=" + id;
	window.open(url,'MailRecipients','resizable=yes,width=600,height=386,left=260,top=250');
}
function modifyForwardTo(domainName){
	window.open('SelectMailRecipients.do?domainName='+domainName,'MailRecipients','resizable=yes,width=600,height=405,left=260,top=250');
}
function selectObject(dn, name, id)
{
	var selectObj = document.getElementById(id);
	if(eval(selectObj.options.length)){
		for(var i=0; i<selectObj.options.length; i++)
		{
			if(selectObj.options[i].value == dn) return;
		}
	}
	selectObj.options[selectObj.options.length] = new Option(name, dn);
}
function enableRemove(id,selectId){
	var select = document.getElementById(selectId);
	var optLen = select.options.length;
	if(eval(optLen)){
		if(optLen>0)
			document.getElementById(id).disabled = false;
	}
}
function removeFromList(id){
	var recList = document.getElementById(id);
	var length = recList.options.length;
	if(eval(length)){
		var i = recList.selectedIndex;
		if(i>=0){
			recList.options[i] = null ;
			if(recList.options.length > 0 ){
				if(i < recList.options.length-1)
					recList.options[i].selected = "selected" ;
				else
					recList.options[i-1].selected = "selected" ;
			}
		} else alert('No Mail Recipients Selected');
	} else alert('No Mail Recipients');
}
function disableRemove(id, selectid){
	document.getElementById(id).disabled = true;
	document.getElementById(selectid).selectedIndex = -1;
}

function enableUpdateNotifications(){
	document.getElementById('updNotifyEnable').disabled = false;
	document.getElementById('updNotifyDisable').disabled = false;
}

function disableUpdateNotifications(){
	document.getElementById('updNotifyDisable').checked = true;
	document.getElementById('updNotifyEnable').disabled = true;
	document.getElementById('updNotifyDisable').disabled = true;
}

function editProxyAddressesFormat(val){
	window.open('editProxyAddressesFormat.do?mailEnabled='+val,'EditProxyAddressFormat','resizable=yes,width=600,height=250,left=240,top=190');
}

function editProxyAddresses(val){
	window.open('editProxyAddresses.do?mailEnabled='+val,'EditProxyAddress','resizable=yes,width=600,height=250,left=240,top=190');
}

function addEmailFormats(type, valueArr){
	var selectObject;
	if(type == 'mailBox')
		selectObject = document.getElementById('emailProxyAddresses');
	else if(type== 'mail')
		selectObject = document.getElementById('meEmailProxyAddresses');
	var selectLength = selectObject.options.length;
	for(i=0; i<valueArr.length; i++){
		var j = selectLength + i;
		selectObject.options[j]= new Option(valueArr[i]);
	}
}

function addEmails(type, valueArr){
	var selectObject;
	if(type == 'mailBox')
		selectObject = document.getElementById('emailProxyAddresses');
	else if(type== 'mail')
		selectObject = document.getElementById('meEmailProxyAddresses');
	var selectLength = selectObject.options.length;
	for(i=0; i<valueArr.length; i++){
		var j = selectLength + i;
		selectObject.options[j]= new Option(valueArr[i]);
	}
}

function removeEmailProxy(element){
	var sel = document.getElementById(element);
	if(sel.options.length < 1)
		alert("No E-mail Address to remove");
	else if(sel.options.selectedIndex < 0)
		alert("Select E-mail Address to Remove");
	else{
		var i = sel.options.selectedIndex;
		sel.options[i] = null;
		if(sel.options.length > 0 ){
			if(i < sel.options.length-1)
				sel.options[i].selected = "selected" ;
			else
				sel.options[i-1].selected = "selected";
		}
	}
}

function uncheckPolicies(element, select){
	var chk = document.getElementById(element).checked;
	var selectObject;
	selectObject = document.getElementById(select);
	if(!chk && selectObject.options.length == 0){
		alert('Option can be checked when there is email proxy address');
		document.getElementById(element).checked = true;
	}
}

function setExchangeAttributes(){
	var meRadio = document.getElementsByName('mailEnabled');
	var mailEnabled = "no";
	for(var i=0; i<meRadio.length; i++){
		if(meRadio[i].checked)	mailEnabled = meRadio[i].value;
	}
	if(mailEnabled == "mailBox"){
		var chk = document.getElementById('mailStoreDefaults').checked;
		if(chk) document.getElementById('PERMANENT_DELETION').value = '0'
		else {
			var chk1 = document.getElementById('noPermanantDelete').checked;
			if(chk1) document.getElementById('PERMANENT_DELETION').value = '3';
			else document.getElementById('PERMANENT_DELETION').value = '5';
		}
		var mRrecipientsSelect = document.getElementById('mRrecipientsSelect');
		var tempString = "";
		if(eval(mRrecipientsSelect.options.length)){
			for(var i=0; i<mRrecipientsSelect.options.length; i++){
				if(i>0) tempString += "||"
				tempString+=mRrecipientsSelect.options[i].value;
			}
		}
		document.getElementById('mRrecipientsDNString').value = tempString;
		mRrecipientsSelect = document.getElementById('sobSelect');
		tempString = "";
		if(eval(mRrecipientsSelect.options.length)){
			for(var i=0; i<mRrecipientsSelect.options.length; i++){
				if(i>0) tempString += "||"
				tempString+=mRrecipientsSelect.options[i].value;
			}
		}
		document.getElementById('sobDNString').value = tempString;
		
		var proxyFormatSelect = document.getElementById("emailProxyAddresses");
		var str = "";
		for(var i=0; i<proxyFormatSelect.length; i++){
			if(str != "") str +=";;";
			str += proxyFormatSelect.options[i].text;	
		}
		document.getElementById('formatsForProxies').value = str;
		
	} else if(mailEnabled == "mail"){
		var meMRrecipientsSelect = document.getElementById('meMRrecipientsSelect');
		var tempString = "";
		if(eval(meMRrecipientsSelect.options.length)){
			for(var i=0; i<meMRrecipientsSelect.options.length; i++){
				if(i>0) tempString += "||"
				tempString+=meMRrecipientsSelect.options[i].value;
			}
		}
		document.getElementById('meMRrecipientsDNString').value = tempString;
		
		var proxyFormatSelect = document.getElementById("meEmailProxyAddresses");
		var str = "";
		for(var i=0; i<proxyFormatSelect.length; i++){
			if(str != "") str +=";;";
			str += proxyFormatSelect.options[i].text;	
		}
		document.getElementById('meFormatsForProxies').value = str;
	}
}
function setMailEnbaleAttributes(){
	var meMRrecipientsSelect = document.getElementById('meMRrecipientsSelect');
	var tempString = "";
	if(eval(meMRrecipientsSelect.options.length)){
		for(var i=0; i<meMRrecipientsSelect.options.length; i++){
			if(i>0) tempString += "||"
			tempString+=meMRrecipientsSelect.options[i].value;
		}
	}
	document.getElementById('meMRrecipientsDNString').value = tempString;
}

function hideStatus(divId){
	document.getElementById(divId).style.display = "none";
}

/*
	Functions for Exchange Attributes ends here
*/
/*
	Functions for Terminal Server Attributes starts here
*/
function enableTerminalLocalDrives(){
	document.getElementById('localTsHomeDirectory').disabled=false;
	document.getElementById('TS_HOME_DRIVE').disabled=true;
	document.getElementById('networkTsHomeDirectory').disabled=true;
	document.getElementById('localTsHomeDirectory').className = "textfield1";
	document.getElementById('networkTsHomeDirectory').className = "disabletextfield";				
}
function enableTerminalNetworkDrives(){
	document.getElementById('TS_HOME_DRIVE').disabled=false;
	document.getElementById('networkTsHomeDirectory').disabled=false;				
	document.getElementById('localTsHomeDirectory').disabled=true;
	document.getElementById('localTsHomeDirectory').className = "disabletextfield";
	document.getElementById('networkTsHomeDirectory').className = "textfield1";			
}

function checkTerminalLocalDirFormat(){
	var homeFolder = document.getElementById('localTsHomeDirectory').value;
	if(homeFolder.length < 4 || homeFolder.charAt(1)!=":" || homeFolder.charAt(2)!="\\"){
		if(homeFolder!=""){
			alert("The Specified path is not valid. Enter a valid path using the form :drive-letter:\\directory");
			document.getElementById('localTsHomeDirectory').focus();
		}
	}
		
}
function checkTerminalNetworkDirFormat(){
	var homeFolder = document.getElementById('networkTsHomeDirectory').value;
	var path = "valid";
	if(homeFolder.length<5 || homeFolder.charAt(0)!="\\" || homeFolder.charAt(1)!="\\") path ="notValid";
	else{
		var length = homeFolder.length;
		var substr = homeFolder.substring(2,length);
		var index = substr.indexOf('\\');
		if(index == -1)
			path="notValid";
		else if(index== substr.length-1)	
			path="notValid";
	}	
	if(path=="notValid"){
		if(homeFolder!=""){
			alert("The Specified path is not valid. Enter a valid network server path using the form : \\\\server\\share\\folder");
			document.getElementById('networkTsHomeDirectory').focus();
		}
	}
}

function enableInitialProgram(){
	if(document.getElementById('tsInheritInitial').checked == true){
		document.getElementById('TS_INITIAL_PROGRAM').disabled=false;
		document.getElementById('TS_INITIAL_PROGRAM').className='textfield1';
		document.getElementById('TS_WORKING_DIRECTORY').disabled=false;
		document.getElementById('TS_WORKING_DIRECTORY').className='textfield1';
	} else if(document.getElementById('tsInheritInitial').checked == false){
		document.getElementById('TS_INITIAL_PROGRAM').disabled=true;
		document.getElementById('TS_INITIAL_PROGRAM').className='disabletextfield';
		document.getElementById('TS_WORKING_DIRECTORY').disabled=true;
		document.getElementById('TS_WORKING_DIRECTORY').className='disabletextfield';	
	}
}

function disableRemoteControl(){
	document.getElementById('enableRemoteControl').checked = false;
	document.getElementById('requireUserPermission').disabled = true;
	var arr = document.getElementsByName('levelOfControl');
	if(eval(arr.length)){
		for(var i=0; i<arr.length; i++){
			arr[i].disabled = true;
		}
	}
}

function enableRemote(){
	document.getElementById('requireUserPermission').disabled = false;
	var arr = document.getElementsByName('levelOfControl');
	if(eval(arr.length)){
		for(var i=0; i<arr.length; i++){
			arr[i].disabled = false;
		}
	}
}

function enableRemoteControl(val){
	document.getElementById('enableRemoteControl').checked = true;
	var arr = document.getElementsByName('levelOfControl');
	if (val=='1'){
		document.getElementById('requireUserPermission').checked = true;		
		if(eval(arr.length)){
			for(var i=0; i<arr.length; i++){
				if(arr[i].value =='interactiveSession') arr[i].checked=true;
			}
		}
	} else if (val=='2'){
		document.getElementById('requireUserPermission').checked = false;		
		if(eval(arr.length)){
			for(var i=0; i<arr.length; i++){
				if(arr[i].value =='interactiveSession') arr[i].checked=true;
			}
		}
	} else if (val=='3'){
		document.getElementById('requireUserPermission').checked = true;		
		if(eval(arr.length)){
			for(var i=0; i<arr.length; i++){
				if(arr[i].value =='viewUserSession') arr[i].checked=true;
			}
		}
	} else if (val=='4'){
		document.getElementById('requireUserPermission').checked = false;		
		if(eval(arr.length)){
			for(var i=0; i<arr.length; i++){
				if(arr[i].value =='viewUserSession') arr[i].checked=true;
			}
		}
	}
}

function remoteControl(){
	if(document.getElementById('enableRemoteControl').checked == true){
		enableRemote();
	} else {
		disableRemoteControl();
	}
}

function setShadowingSetting(){
	var val = document.getElementById('enableRemoteControl').checked ;
	if(val){
		var userPerm = document.getElementById('requireUserPermission').checked ;
		var arr = document.getElementsByName('levelOfControl');
		var loc = 'interactiveSession';
		if(eval(arr.length)){
			for(var i=0; i<arr.length; i++){
				if( arr[i].checked){
					loc = arr[i].value;
				}
			}
		}
		if(userPerm){
			if(loc=='interactiveSession') document.getElementById('TS_SHADOWING').value ='1';
			else document.getElementById('TS_SHADOWING').value ='3'
		} else {
			if(loc=='interactiveSession') document.getElementById('TS_SHADOWING').value ='2';
			else document.getElementById('TS_SHADOWING').value ='4'
		}
	} else document.getElementById('TS_SHADOWING').value ='0';
}

/*
	Functions for Terminal Server Attributes ends here
*/

/*
	Functions for Custom LDAP Attributes starts here
*/
function addCustomAttributes(){
	var isIE = true;
	if(window.ActiveXObject) isIE = true;
	else isIE =false;

	var table = document.getElementById('customAttribsTable');
	var rowCount = table.rows.length;
	var tr = table.insertRow(rowCount);
	var td = document.createElement('td');
	td.height = "25";
	var ldapNameSpan = document.createElement('span');
	ldapNameSpan.className = "blacktxt1"; 
	ldapNameSpan.innerHTML = "Attribute Name : ";
	td.appendChild(ldapNameSpan);
	if(isIE){
		var ldapName = document.createElement("<INPUT TYPE='TEXT' CLASS='textfield' NAME='ldapName'>");
		td.appendChild(ldapName);
	} else {
		var ldapName = document.createElement('input');
		ldapName.type = "text";
		ldapName.className = "textfield";
		ldapName.name = "ldapName"; 
		td.appendChild(ldapName);
	}
	var blankSpan1 = document.createElement('span');
	blankSpan1.className = "blacktxt1"; 
	blankSpan1.innerHTML = "&nbsp;&nbsp;&nbsp;&nbsp;";
	td.appendChild(blankSpan1);
	var ldapValueSpan = document.createElement('span');
	ldapValueSpan.className = "blacktxt1"; 
	ldapValueSpan.innerHTML = "Attribute value : ";
	td.appendChild(ldapValueSpan);
	if(isIE){
		var ldapValue= document.createElement("<INPUT TYPE='TEXT' CLASS='textfield' NAME='ldapValue'>");
		td.appendChild(ldapValue);
	} else {
		var ldapValue= document.createElement('input');
		ldapValue.type = "text";
		ldapValue.className = "textfield";
		ldapValue.name = "ldapValue"; 
		td.appendChild(ldapValue);		
	}
	var blankSpan2 = document.createElement('span');
	blankSpan2.className = "blacktxt1"; 
	blankSpan2.innerHTML = "&nbsp;&nbsp;&nbsp;&nbsp;";
	td.appendChild(blankSpan2);
	var removeAnc = document.createElement('a');
	removeAnc.href="#";
	removeAnc.onclick = function(){
		var i=this.parentNode.parentNode.rowIndex;
		table.deleteRow(i);
		if(table.rows.length < 1)
			document.getElementById('AddCustomAttribAnchor').innerHTML = "Add custom attributes";
	}
	removeAnc.className = "greenlinktxt";
	removeAnc.innerHTML = "Remove";
	td.appendChild(removeAnc);
	tr.appendChild(td);
	document.getElementById('AddCustomAttribAnchor').innerHTML = "Add more custom attributes";
}
function removeCustomAttributes(val){
	var table = document.getElementById('customAttribsTable');
	var i=val.parentNode.parentNode.rowIndex;
	table.deleteRow(i);
	if(table.rows.length < 1)
		document.getElementById('AddCustomAttribAnchor').innerHTML = "Add custom attributes";
}
/*
	Functions for Custom LDAP Attributes ends here
*/


//Function called before submitting user details page

function submitPage(type){
	if(type=='single')
		document.getElementById('action').value = 'create';
	var firstName = trimAll(document.getElementById('FIRST_NAME').value);
	var logonName = trimAll(document.getElementById('LOGON_NAME').value);
	if(firstName=="" && type != 'modify'){
		alert("Please specify a first name");
		if(document.getElementById('UserProfile').style.display == 'none') showTab('UserProfile');
		if(!document.getElementById('FIRST_NAME').disabled)
			document.getElementById('FIRST_NAME').focus();
		return ;
	} else if(logonName=="" && type != 'modify'){
		alert("Please specify a logon name");
		if(document.getElementById('UserProfile').style.display == 'none') showTab('UserProfile');
		if(!document.getElementById('LOGON_NAME').disabled)
			document.getElementById('LOGON_NAME').focus();
		return ;
	}
	else{
		trimTextFields();
		for(var i=0; i<namesArray.length; i++ ){
			var splstatus = isValidUserName(document.getElementById(namesArray[i]).value);
			if(splstatus == false){
				alert ("The "+ displayArray[i] +" entered has one or more illegal characters / \\ [ ]: ; | = , + * ? < > @ \". \nThese are not allowed.\n Please remove them and try again.");
				return ;
			}
		}
		for(var i=0; i<namesArray2.length; i++ ){
			var splstatus = isValidFullName(document.getElementById(namesArray2[i]).value);
			if(splstatus == false){
				alert ("The "+ displayArray2[i] +" entered has one or more illegal characters + \\ \". \nThese are not allowed.\n Please remove them and try again.");
				return ;
			}
		}
		var email = new String(document.getElementById('EMAIL_ADDRESS').value);
		if(email.indexOf('@')!=-1)
			email = email.substring(0,email.lastIndexOf('@'));
		var splstatus = isValidUserName(email);
		if(splstatus==false){
			alert ("The E-mail entered has special characters. \nThese are not allowed.\n Please remove them and try again.");
			return ;
		}
		setUserAccountControl();
		setUserFlags();
		setPwdLastSet();
		var ret = checkLogonTo();
		//setTerminalCheck();
		if(ret==false){
			return;
		}
			
		document.getElementById('accountExpiresDate').value = document.getElementById('start').value;
		setCountry();
		setExchangeAttributes();
		setShadowingSetting();
		if(type == 'modify')
			document.CSVUserBean.submit();
		else	
			document.UserBean.submit();
	} 
}

function submitModification(){
	var firstName = trimAll(document.getElementById('FIRST_NAME').value);
	var logonName = trimAll(document.getElementById('LOGON_NAME').value);
	{
		trimTextFields();
		for(var i=0; i<namesArray.length; i++ ){
			var splstatus = isValidUserName(document.getElementById(namesArray[i]).value);
			if(splstatus == false){
				alert ("The "+ displayArray[i] +" entered has one or more illegal characters / \\ [ ]: ; | = , + * ? < > @ \". \nThese are not allowed.\n Please remove them and try again.");
				return ;
			}
		}
		for(var i=0; i<namesArray2.length; i++ ){
			var splstatus = isValidFullName(document.getElementById(namesArray2[i]).value);
			if(splstatus == false){
				alert ("The "+ displayArray2[i] +" entered has one or more illegal characters + \\ \". \nThese are not allowed.\n Please remove them and try again.");
				return ;
			}
		}
		var email = new String(document.getElementById('EMAIL_ADDRESS').value);
		if(email.indexOf('@')!=-1)
			email = email.substring(0,email.lastIndexOf('@'));
		var splstatus = isValidUserName(email);
		if(splstatus==false){
			alert ("The E-mail entered has special characters. \nThese are not allowed.\n Please remove them and try again.");
			return ;
		}
		setUserAccountControl();
		setUserFlags();
		setPwdLastSet();
		var ret = checkLogonTo();
		//setTerminalCheck();
		if(ret==false){
			return;
		}
			
		document.getElementById('accountExpiresDate').value = document.getElementById('start').value;
		setCountry();
		setExchangeAttributes();
		setShadowingSetting();
		return true;
	} 
}

//Function called for applying template for user details page

function applyTemplateToSingleUser(prevId){
	var templatesArray = document.getElementsByName('templates');
	var selectedID = '0';
	for(var i=0; i<templatesArray.length; i++){	
		if(templatesArray[i].checked)
			selectedID = templatesArray[i].value;
	}
	if(prevId == selectedID)
		yreg_popLayer('template_list');	
	else{
		document.getElementById('action').value = 'apply';
		document.getElementById('templateId').value = selectedID;
		trimTextFields();
		setUserAccountControl();
		setUserFlags();
		setPwdLastSet();
		document.getElementById('accountExpiresDate').value = document.getElementById('start').value;
		setCountry();
		setExchangeAttributes();
		setShadowingSetting();
		document.UserBean.submit();
	}
}


//Function called before submitting user Template page
function saveTemplate(){
	var templateName = trimAll(document.getElementById('TEMPLATE_NAME').value);
	document.getElementById('TEMPLATE_NAME').value = templateName;
	if(templateName==""){
		alert("Please specify a template name");
		document.getElementById('TEMPLATE_NAME').focus();
		return false;
	} else if(isValidUserName(templateName)==false){
		alert ("The Template Name entered has special characters. \nThese are not allowed.\n Please remove them and try again.");
		return false;	
	} else {
		trimTextFields();
		setUserAccountControl();
		setUserFlags();
		setPwdLastSet();
		var ret = checkLogonTo();
		if(ret==false)
			return false;	
		document.getElementById('accountExpiresDate').value = document.getElementById('start').value;
		setCountry();
		setExchangeAttributes();
		setShadowingSetting();
		return true;
	}
}

function enableDisableHTMLElements(id, disable)
{
	if(disable)
		document.getElementById(id).disabled = true;
	else
		document.getElementById(id).disabled = false;
}
function enableDisableDefaultLimits(id1, id2, disable)
{
	if(disable)
	{
		document.getElementById(id1).disabled = true;
		document.getElementById(id2).disabled = true;
	}
	else
	{
		document.getElementById(id1).disabled = false;
		document.getElementById(id2).disabled = false;
	}
}
terminalChecks = new Array(5);
terminalChecks[0] = 'tsAllowLogOn';
terminalChecks[1] = 'tsInheritInitial';
terminalChecks[2] = 'tsDcDrives';
terminalChecks[3] = 'tsDcPrinters';
terminalChecks[4] = 'tsDcDedaultPrinter';
function setTerminalCheck()
{
	for(var i=0; i<terminalChecks.length; i++)
	{
		document.getElementById(terminalChecks[i]+'_chk').value = document.getElementById(terminalChecks[i]).checked;
	}
}
